## Name

ATTR — Change file security attributes

## Synopsis

`attr` `path` [{ `permission abbreviations` }]

## Description

This command is used to examine or change the security permissions of a file. To enter the command, type attr followed by the pathlist for the file who's security permissions are to be changed, followed by a list of permissions which are to be turned on or off. A permission is turned on by giving its abbreviation, or turned off by preceding its abbreviation with a minus sign. Permissions not explicitly named are not affected. If no permissions are given the current file attributes will be printed. You can not change the attributes of a file which you do not own (except for user zero, who can change the attributes of any file in the system).

The file permission abbreviations are:

d = Directory file
s = Sharable file
r = Read permit to owner
w = Write permit to owner
e = Execute permit to owner
pr = Read permit to public
pw = Write permit to public
pe = Execute permit to public

The attr command may be used to change a directory file to a non-directory file if all entries have been deleted from it. Since the DEL command will only delete non-directory files, this is the only way a directory may be deleted. You cannot change a non-directory file to a directory file with this command (see makdir).

For more information see: the section called “The File Security System”, the section called “Examining and Changing File Attributes”

## Examples

    attr myfile -pr -pw

    attr myfile r w e pr rw pe

    attr datalog
    -s-wr-wr